---
Rails/SaveBang:
  Exclude:
  - ee/spec/initializers/fog_google_https_private_urls_spec.rb
  - ee/spec/lib/analytics/merge_request_metrics_calculator_spec.rb
  - ee/spec/lib/ee/gitlab/auth/ldap/sync/group_spec.rb
  - ee/spec/lib/ee/gitlab/checks/push_rules/commit_check_spec.rb
  - ee/spec/lib/ee/gitlab/ci/pipeline/quota/activity_spec.rb
  - ee/spec/lib/gitlab/auth/ldap/access_spec.rb
  - ee/spec/lib/gitlab/auth/o_auth/user_spec.rb
  - ee/spec/lib/gitlab/auth/saml/user_spec.rb
  - ee/spec/lib/gitlab/elastic/search_results_spec.rb
  - ee/spec/lib/gitlab/email/handler/ee/service_desk_handler_spec.rb
  - ee/spec/lib/gitlab/geo_spec.rb
  - ee/spec/lib/gitlab/git_access_spec.rb
  - ee/spec/lib/gitlab/import_export/group/relation_factory_spec.rb
  - ee/spec/lib/gitlab/mirror_spec.rb
  - ee/spec/models/application_setting_spec.rb
  - ee/spec/models/approval_merge_request_rule_spec.rb
  - ee/spec/models/approval_project_rule_spec.rb
  - ee/spec/models/burndown_spec.rb
  - ee/spec/models/elasticsearch_indexed_namespace_spec.rb
  - ee/spec/models/gitlab_subscription_spec.rb
  - ee/spec/models/issue_spec.rb
  - ee/spec/models/label_note_spec.rb
  - ee/spec/models/lfs_object_spec.rb
  - ee/spec/models/license_spec.rb
  - ee/spec/models/merge_request_spec.rb
  - ee/spec/models/merge_train_spec.rb
  - ee/spec/models/project_ci_cd_setting_spec.rb
  - ee/spec/models/project_spec.rb
  - ee/spec/models/protected_environment_spec.rb
  - ee/spec/models/repository_spec.rb
  - ee/spec/models/scim_identity_spec.rb
  - ee/spec/models/scim_oauth_access_token_spec.rb
  - ee/spec/models/upload_spec.rb
  - ee/spec/models/user_preference_spec.rb
  - ee/spec/models/visible_approvable_spec.rb
  - ee/spec/models/vulnerabilities/feedback_spec.rb
  - ee/spec/models/vulnerabilities/issue_link_spec.rb
  - ee/spec/services/ee/merge_requests/update_service_spec.rb
  - ee/spec/services/ee/notes/quick_actions_service_spec.rb
  - ee/spec/services/ee/notification_service_spec.rb
  - ee/spec/services/epic_links/create_service_spec.rb
  - ee/spec/services/epics/close_service_spec.rb
  - ee/spec/services/epics/issue_promote_service_spec.rb
  - ee/spec/services/epics/reopen_service_spec.rb
  - ee/spec/services/epics/tree_reorder_service_spec.rb
  - ee/spec/services/epics/update_dates_service_spec.rb
  - ee/spec/services/epics/update_service_spec.rb
  - ee/spec/services/geo/blob_verification_secondary_service_spec.rb
  - ee/spec/services/geo/files_expire_service_spec.rb
  - ee/spec/services/geo/metrics_update_service_spec.rb
  - ee/spec/services/geo/registry_consistency_service_spec.rb
  - ee/spec/services/geo/repository_verification_secondary_service_spec.rb
  - ee/spec/services/groups/autocomplete_service_spec.rb
  - ee/spec/services/ldap_group_reset_service_spec.rb
  - ee/spec/services/lfs/unlock_file_service_spec.rb
  - ee/spec/services/merge_trains/refresh_merge_request_service_spec.rb
  - ee/spec/services/quick_actions/interpret_service_spec.rb
  - ee/spec/services/slash_commands/global_slack_handler_spec.rb
  - ee/spec/services/start_pull_mirroring_service_spec.rb
  - ee/spec/services/status_page/trigger_publish_service_spec.rb
  - ee/spec/services/todo_service_spec.rb
  - ee/spec/services/vulnerability_feedback/create_service_spec.rb
  - qa/qa/specs/features/browser_ui/3_create/repository/push_mirroring_over_http_spec.rb
  - qa/qa/specs/features/browser_ui/3_create/repository/push_mirroring_lfs_over_http_spec.rb
  - qa/qa/specs/features/ee/browser_ui/3_create/repository/pull_mirroring_over_http_spec.rb
  - qa/qa/specs/features/ee/browser_ui/3_create/repository/pull_mirroring_over_ssh_with_key_spec.rb
  - spec/controllers/abuse_reports_controller_spec.rb
  - spec/controllers/boards/issues_controller_spec.rb
  - spec/controllers/sent_notifications_controller_spec.rb
  - spec/controllers/sessions_controller_spec.rb
  - spec/lib/backup/manager_spec.rb
  - spec/lib/gitlab/alerting/alert_spec.rb
  - spec/lib/gitlab/analytics/cycle_analytics/records_fetcher_spec.rb
  - spec/lib/gitlab/auth/ldap/user_spec.rb
  - spec/lib/gitlab/auth/o_auth/user_spec.rb
  - spec/lib/gitlab/auth/saml/user_spec.rb
  - spec/lib/gitlab/auth_spec.rb
  - spec/lib/gitlab/authorized_keys_spec.rb
  - spec/lib/gitlab/bitbucket_server_import/importer_spec.rb
  - spec/lib/gitlab/cycle_analytics/base_event_fetcher_spec.rb
  - spec/lib/gitlab/database/custom_structure_spec.rb
  - spec/lib/gitlab/database/partitioning_migration_helpers/table_management_helpers_spec.rb
  - spec/lib/gitlab/database_importers/self_monitoring/project/create_service_spec.rb
  - spec/lib/gitlab/gfm/reference_rewriter_spec.rb
  - spec/lib/gitlab/git_access_spec.rb
  - spec/lib/gitlab/import_export/avatar_saver_spec.rb
  - spec/lib/gitlab/import_export/base/relation_factory_spec.rb
  - spec/lib/gitlab/import_export/design_repo_restorer_spec.rb
  - spec/lib/gitlab/import_export/fast_hash_serializer_spec.rb
  - spec/lib/gitlab/import_export/fork_spec.rb
  - spec/lib/gitlab/import_export/group/legacy_tree_saver_spec.rb
  - spec/lib/gitlab/import_export/group/relation_factory_spec.rb
  - spec/lib/gitlab/import_export/group/tree_saver_spec.rb
  - spec/lib/gitlab/import_export/importer_spec.rb
  - spec/lib/gitlab/import_export/lfs_restorer_spec.rb
  - spec/lib/gitlab/import_export/lfs_saver_spec.rb
  - spec/lib/gitlab/import_export/members_mapper_spec.rb
  - spec/lib/gitlab/import_export/project/relation_factory_spec.rb
  - spec/lib/gitlab/import_export/project/tree_restorer_spec.rb
  - spec/lib/gitlab/import_export/project/tree_saver_spec.rb
  - spec/lib/gitlab/import_export/repo_restorer_spec.rb
  - spec/lib/gitlab/import_export/saver_spec.rb
  - spec/lib/gitlab/import_export/snippet_repo_restorer_spec.rb
  - spec/lib/gitlab/import_export/snippet_repo_saver_spec.rb
  - spec/lib/gitlab/import_export/snippets_repo_restorer_spec.rb
  - spec/lib/gitlab/import_export/snippets_repo_saver_spec.rb
  - spec/lib/gitlab/import_export/uploads_manager_spec.rb
  - spec/lib/gitlab/import_export/uploads_saver_spec.rb
  - spec/lib/gitlab/import_export/wiki_restorer_spec.rb
  - spec/lib/gitlab/lets_encrypt/client_spec.rb
  - spec/lib/gitlab/middleware/go_spec.rb
  - spec/lib/gitlab/shard_health_cache_spec.rb
  - spec/mailers/notify_spec.rb
